package wash.program;

import actor.ActorThread;
import wash.control.WashingMessage;

/**
 * Program 3 for washing machine. This also serves as an example of how washing
 * programs can be structured.
 * 
 * This short program stops all regulation of temperature and water levels,
 * stops the barrel from spinning, and drains the machine of water.
 * 
 * It can be used after an emergency stop (program 0) or a power failure.
 */
public final class EmptyProgram extends ActorThread<WashingMessage> {

    public EmptyProgram() {
    }

    @Override
    public void run() {
        System.out.println("WARNINIG: Attempting to run empty program");
        System.exit(1);
    }
}
